#!/bin/bash
echo "Data generation... "
gaussora -n 10000 -q 0 -trace -gauss task4.go >/dev/null 2>task4-demo-trace &
sleep 5
kill -SIGKILL $!
rm task4-demo-C* 2>/dev/null
sed '1,/^Data/d' task4-demo-trace | awk '{print >>"task4-demo-"$NF}'
echo "Plotting data... "
echo "plot 'task4-demo-C1','task4-demo-C2','task4-demo-C3','task4-demo-C4','task4-demo-C5','task4-demo-C6','task4-demo-C7'; pause 600" | gnuplot &
sleep 3
echo -n "Press enter to end "
read ANS
kill -SIGINT $!
rm task4-demo-C* task4-demo-trace
